%define puppet_module_name stdlib
%define puppet_module_vendor puppetlabs

%define distname %{puppet_module_vendor}-%{puppet_module_name}-%{version}

%define puppet_modules_dir %{_datadir}/puppet/modules

Summary:	Standard library of resources for Puppet modules
Name:		puppet-%{puppet_module_name}
Version:	5.1.0
Release:	%mkrel 5
License:	Apache Software License
Group:		Monitoring
Url:		https://forge.puppetlabs.com/puppetlabs/stdlib
Source0:	https://github.com/puppetlabs/puppetlabs-stdlib/archive/%{version}/%{distname}.tar.gz
BuildArch:	noarch
BuildRequires:	puppet
BuildRequires:	ruby
BuildRequires:	ruby-concurrent-ruby
BuildRequires:	ruby-deep_merge
BuildRequires:	ruby-racc

%description
This package provides the %{puppet_module_name} module for Puppet.
It contains a standard library of resources for Puppet modules.

%prep
%setup -q -c -T

%build

%install
install -d %{buildroot}%{puppet_modules_dir}
puppet module install %{SOURCE0} --ignore-dependencies --target-dir %{buildroot}%{puppet_modules_dir}

%files
%{puppet_modules_dir}/%{puppet_module_name}


%changelog
* Tue May 09 2023 daviddavid <daviddavid> 5.1.0-5.mga9
+ Revision: 1956356
- rebuild for fixed puppet and facter

* Sat Mar 26 2022 umeabot <umeabot> 5.1.0-4.mga9
+ Revision: 1827956
- Mageia 9 Mass Rebuild

* Sat Jan 09 2021 daviddavid <daviddavid> 5.1.0-3.mga8
+ Revision: 1669963
- add now ruby-racc
- add now ruby-deep_merge
- try to fix build with ruby-concurrent-ruby (cannot load such file -- concurrent)

* Fri Feb 14 2020 umeabot <umeabot> 5.1.0-2.mga8
+ Revision: 1519286
- Mageia 8 Mass Rebuild

* Mon Oct 08 2018 daviddavid <daviddavid> 5.1.0-1.mga7
+ Revision: 1318700
- new version: 5.1.0
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Tue Dec 01 2015 blino <blino> 4.9.0-1.mga6
+ Revision: 907441
- create puppet modules dir (required for puppet 2.7.x)
- initial puppet-stdlib package
- Created package structure for puppet-stdlib.

